Search
GET
/blockscout/search
Query Parameters
q
string
optional
query
Example:
"USDT"Responses
200
Search Response
application/jsonitems
unknown[]
REQUIRED
Array of:
One of:
Option 1
address
string
REQUIRED
address_url
string
REQUIRED
exchange_rate
string
REQUIRED
icon_url
string
REQUIRED
is_smart_contract_verified
boolean
REQUIRED
name
string
REQUIRED
symbol
string
REQUIRED
token_type
string
REQUIRED
token_url
string
REQUIRED
total_supply
string
REQUIRED
type
string
REQUIRED
Option 2
address
string
REQUIRED
is_smart_contract_verified
boolean
REQUIRED
name
string
REQUIRED
type
string
REQUIRED
url
string
REQUIRED
Option 3
block_hash
string
REQUIRED
block_number
integer
REQUIRED
timestamp
string
REQUIRED
type
string
REQUIRED
url
string
REQUIRED
Option 4
timestamp
string
REQUIRED
transaction_hash
string
REQUIRED
type
string
REQUIRED
url
string
REQUIRED
next_page_params
object
REQUIRED
400
Bad Input Parameter
curl -X GET 'https://data-api.b3.fun//blockscout/search'
const response = await fetch('https://data-api.b3.fun//blockscout/search', { method: 'GET'});const data = await response.json();console.log(data);
import requestsresponse = requests.get('https://data-api.b3.fun//blockscout/search')print(response.json())
200
Response
{ "items": [ { "address": "0xdAC17F958D2ee523a2206206994597C13D831ec7", "address_url": "/address/0xdAC17F958D2ee523a2206206994597C13D831ec7", "exchange_rate": "0.999813", "icon_url": "https://raw.githubusercontent.com/trustwallet/assets/master/blockchains/ethereum/assets/0xdAC17F958D2ee523a2206206994597C13D831ec7/logo.png", "is_smart_contract_verified": true, "name": "Tether USD", "symbol": "USDT", "token_type": "ERC-20", "token_url": "/token/0xdAC17F958D2ee523a2206206994597C13D831ec7", "total_supply": "39030615894320966", "type": "token" } ], "next_page_params": { "address_hash": "0x052Ad78E3aA0b0F2D3912FD3b50a9a289CF2f7Aa", "block_hash": null, "holder_count": 548, "inserted_at": "2021-12-07T08:39:01.062253Z", "item_type": "token", "items_count": 50, "name": "RealToken S 13245 Monica St Detroit MI", "q": "1", "transaction_hash": null }}
API Playground
Try this endpoint
GET
/blockscout/search